'Nome       : EncLot.sql
'Tipo       : LST
'Data       : 2008/11/26
'Versao     : 1.0
'Descricao  : Listagens de lotes

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0  2008/??/?? ---------------------------------------------------
'Versao Base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
Zoom para preview             [PrvZoom]=1.5
Opcoes para impressora WIN   [PrWinOpc]=[ORI=P]
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")
'Base de dados           [BD]=EmpFic$("EMP","Enc,Enc.mdb")


'= lotes ======================================================================
Lotes disponiveis    [Cmd]=LotDis=+
   +SELECT * FROM {TB_EncLot} +
   +WHERE RecSit$ = 'ACT' +
   +AND   Art$   BETWEEN '{Opc_Art.Ini}' AND '{Opc_Art.Fim}' +
   +AND   CtFor$ BETWEEN '{Opc_Ctu.Ini}' AND '{Opc_Ctu.Fim}' +
   +AND   DtLot$ BETWEEN '{Opc_Dti.Ini}' AND '{Opc_Dti.Fim}' +
   +AND   DtLim$ BETWEEN '{Opc_Dli.Ini}' AND '{Opc_Dli.Fim}' +
   +AND   QuLot  BETWEEN {Opc_Qlo.Ini} AND {Opc_Qlo.Fim} +
   +AND   QuLot - QuCon  BETWEEN {Opc_Qdi.Ini} AND {Opc_Qdi.Fim} +
   +AND   QuLot > QuCon +
   +ORDER BY Art$, RecIde


Lotes anulados    [Cmd]=LotAnl=+
   +SELECT * FROM {TB_EncLot} +
   +WHERE RecSit$ = 'ANL' +
   +AND   Art$   BETWEEN '{Opc_Art.Ini}' AND '{Opc_Art.Fim}' +
   +AND   CtFor$ BETWEEN '{Opc_Ctu.Ini}' AND '{Opc_Ctu.Fim}' +
   +AND   DtLot$ BETWEEN '{Opc_Dti.Ini}' AND '{Opc_Dti.Fim}' +
   +AND   DtLim$ BETWEEN '{Opc_Dli.Ini}' AND '{Opc_Dli.Fim}' +
   +AND   QuLot  BETWEEN {Opc_Qlo.Ini} AND {Opc_Qlo.Fim} +
   +AND   QuLot - QuCon  BETWEEN {Opc_Qdi.Ini} AND {Opc_Qdi.Fim} +
   +AND   QuLot > QuCon +
   +ORDER BY Art$, RecIde


Consumo de lotes  [Cmd]=LotCon=+
   +SELECT * FROM {TB_EncLot} +
   +WHERE Art$   BETWEEN '{Opc_Art.Ini}' AND '{Opc_Art.Fim}' +
   +AND   CtFor$ BETWEEN '{Opc_Ctu.Ini}' AND '{Opc_Ctu.Fim}' +
   +AND   DtLot$ BETWEEN '{Opc_Dti.Ini}' AND '{Opc_Dti.Fim}' +
   +AND   DtLim$ BETWEEN '{Opc_Dli.Ini}' AND '{Opc_Dli.Fim}' +
   +AND   QuLot  BETWEEN {Opc_Qlo.Ini} AND {Opc_Qlo.Fim} +
   +AND   QuLot - QuCon  BETWEEN {Opc_Qdi.Ini} AND {Opc_Qdi.Fim} +
   +AND   QuLot > QuCon +
   +ORDER BY Art$, RecIde


'= tabelas auxiliares =========================================================
Consumo do lote   [Cmd]=LotConDis=+
   +SELECT * FROM {TB_EncMov} +
   +WHERE Lote$  = '{SEL.Lot}' +
   +AND   Tdoc$ <> '{SEL.Tdo}' +
   +AND   Ndoc$ <> '{SEL.Ndo}' +
   +ORDER BY RecIde

##


'==============================================================================
#DOC_x - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=LotDis,Lotes disponiveis

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'especifico do documento
Opcao especifica           [DocEsp]=OpcEsp=???

'funcoes de listagem
Base para documento         [FxDOC]=LotDis
Listar cabecalho            [FxCAB]=LotDis_Cab
Listar linhas               [FxLIN]=LotDis_Lin, 0
Listar fim                  [FxFIM]=LotDis_Fim

Matriz auxiliar            [DocMat]=

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LotDis
Subtotalizadores           [SQLSbt]=Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=LotDisXls,Lotes disponiveis (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'especifico do documento
Opcao especifica           [DocEsp]=OpcEsp=???

'funcoes de listagem
Base para documento         [FxDOC]=LotDisXls
Listar cabecalho            [FxCAB]=LotDisXls_Cab
Listar linhas               [FxLIN]=LotDisXls_Lin, 0
Listar fim                  [FxFIM]=LotDisXls_Fim

Matriz auxiliar            [DocMat]=EncLot.xls

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LotDis
Subtotalizadores           [SQLSbt]=Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=LotConXls,Consumo de Lotes (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'especifico do documento
Opcao especifica           [DocEsp]=OpcEsp=???

'funcoes de listagem
Base para documento         [FxDOC]=LotConXls
Listar cabecalho            [FxCAB]=LotConXls_Cab
Listar linhas               [FxLIN]=LotConXls_Lin, 0
Listar fim                  [FxFIM]=LotConXls_Fim

Matriz auxiliar            [DocMat]=EncLot.xls

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LotCon
Subtotalizadores           [SQLSbt]=Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=LotAnlXls,Lotes anulados (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0

'especifico do documento
Opcao especifica           [DocEsp]=OpcEsp=???

'funcoes de listagem
Base para documento         [FxDOC]=LotAnlXls
Listar cabecalho            [FxCAB]=LotAnlXls_Cab
Listar linhas               [FxLIN]=LotAnlXls_Lin, 0
Listar fim                  [FxFIM]=LotAnlXls_Fim

Matriz auxiliar            [DocMat]=EncLot.xls

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LotAnl
Subtotalizadores           [SQLSbt]=Art$
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
DataExt  = FrmVal$(Sig_DtHoje,45,0)


'Campos
vNrg  = FrmNum$(5.0, cntReg)                                'numero do registo

'registo
vLotQua   = FrmNum$(11.2, RegQlo)                           'quantidade
vConQua   = FrmNum$(11.2, RegQco)                           'consumo
vConDis   = FrmNum$(11.2, RegQdi)                           'disponivel

##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario


Sub FxIni 'funcao de inicializacao
cnt=0                                              'limpar contador
end sub


Sub FxFim 'funcao de finalizacao
'nada a executar
end sub


Sub Lst_AJT 'ajuste
'nada a executar
'MsgBox "", "TIT", "MSG"
end sub


'==============================================================================
'= COM = Funcoes comuns =======================================================
'==============================================================================
Sub VarRegPrp 'preparar valores do registo
regIdr  = SqlCmp("RecIde")                'IDR
regIur$ = SqlCmp$("RecIur$")              'IUR
regSit$ = SqlCmp$("RecSit$")              'situacao
regDts$ = SqlCmp$("RecDts$")              'data da situacao
regDtr$ = SqlCmp$("OdaDtr$")              'data de registo
regOpc$ = SqlCmp$("DivOpc$")              'campos opcionais
regTdo$ = SqlCmp$("TdoC$")                'tipo de documento
regNdo$ = SqlCmp$("NdoC$")                'numero de documento
regArt$ = SqlCmp$("Art$")                 'artigo
regFor$ = SqlCmp$("CtFor$")               'fornecedor
regTpr$ = SqlCmp$("Tpr$")                 'tipo de registo
regLot$ = SqlCmp$("Lot$")                 'lote
regDup  = SqlCmp("Dup")                   'lote - duplicacao
regCon$ = SqlCmp$("Con$")                 'consumo - situacao
regDlo$ = SqlCmp$("DtLot$")               'data do lote
regDli$ = SqlCmp$("DtLim$")               'data limite
regQlo  = SqlCmp("QuLot")                 'quantidade do lote
regQco  = SqlCmp("QuCon")                 'quantidade consumida
regVcu  = SqlCmp("LoVu")                  'valor unitario
regVto  = SqlCmp("LoVt")                  'valor total

'valores calculados
regQdi  = regQlo - regQco                 'quandidade disponivel
regDtDoc$ = left$(regDtr$, 10)            'data do documento

'diversos
regNdv$ = FrmNdo$("46", regTdo$, regNdo$) 'formatar numero de documento
regDoc$ = regTdo$ + " " + regNdv$         'documento

res = CtaContaLer(regFor$)                'ler conta

'valores para listar/acumular
vArtCod$ = StcCodFrm$(regArt$)            'artigo
vArtNom$ = StcArtIde$("N1", regArt$)      'nome

vDocTdo$ = regTdo$                        'documento - tipo
vDocNdo$ = regNdv$                        'documento - numero
vDocFor$ = regFor$                        'documento - fornecedor
vDocFon$ = CTA_MST_NOME$                  'documento - fornecedor/nome
vDocDtr$ = regDtDoc$                      'documento - data

vLotIde$ = regLot$                        'lote
vLotDup  = regDup                         'lote - duplicado
vLotDti$ = regDlo$                        'data de inicio
vLotDli$ = regDli$                        'data limite
vLotQua  = regQlo                         'quantidade
vLotVcu  = regVcu                         'custo unitario

vConQua  = regQco                         'consumo
vConDis  = regQdi                         'disponivel

vObsDiv$ = ""                             'observacoes
end sub


Sub VarRegAcm 'acumular valores do registo
res = AcmExe("vLotQua", vLotQua)          'quantidade
res = AcmExe("vConQua", vConQua)          'consumo
res = AcmExe("vConDis", vConDis)          'disponivel
end sub


'==============================================================================
'= LST - Listar ===============================================================
'==============================================================================


'==============================================================================
'= Listagem para EXCEL ========================================================
'==============================================================================
'------------------------------------------------------------------------------
'- LotDis - Lotes diponiveis --------------------------------------------------
'------------------------------------------------------------------------------
Sub LotDisXls_DocIni 'inicializar documento
xlsOpcNfi$ = "RND:EncLotDis.xls"                   'nome do ficheiro a gerar
xlsOpcWks$ = ""                                    'nome da woorksheet

call LotXls_DocIni                                 'inicializar documento
end sub


Sub LotDisXls_DocFim 'terminar documento
call LotXls_DocFim                                 'terminar documento
end sub


Sub LotDisXls_LinTit1 'titulo 1
call LotXls_LinTit1                                'titulo 1
end sub


Sub LotDisXls_Lin 'linha de valores
call LotXls_Lin                                    'linha de valores
end sub


Sub LotDisXls_LinSbt1 'subtotal 1
call LotXls_LinSbt1                                'subtotal 1
end sub


Sub LotDisXls_LinSep 'linha de separacao
call LotXls_IncLin                                 'incrementar linha
end sub


Sub LotDisXls_Fim 'terminar
call LotXls_Fim                                    'terminar
end sub


'------------------------------------------------------------------------------
'- LotCon - Consumo de lotes --------------------------------------------------
'------------------------------------------------------------------------------
Sub LotConXls_DocIni 'inicializar documento
xlsOpcNfi$ = "RND:EncLotCon.xls"                   'nome do ficheiro a gerar
xlsOpcWks$ = ""                                    'nome da woorksheet

call LotXls_DocIni                                 'inicializar documento
end sub


Sub LotConXls_DocFim 'terminar documento
call LotXls_DocFim                                 'terminar documento
end sub


Sub LotConXls_LinTit1 'titulo 1
call LotXls_LinTit1                                'titulo 1
end sub


Sub LotConXls_Lin 'linha de valores
call LotXls_Lin                                    'linha de valores

call LotConLst                                     'listar consumo do lote
end sub


Sub LotConXls_LinSbt1 'subtotal 1
call LotXls_LinSbt1                                'subtotal 1
end sub


Sub LotConXls_LinSep 'linha de separacao
call LotXls_IncLin                                 'incrementar linha
end sub


Sub LotConXls_Fim 'terminar
call LotXls_Fim                                    'terminar
end sub


Sub LotConLst 'listar consumo do lote
psqIur$ = SqlCmp$("RecIur$")                       'IUR
psqLot$ = SqlCmp$("Lot$")                          'lote
psqTdo$ = SqlCmp$("TdoC$")                         'tipo de documento
psqNdo$ = SqlCmp$("NdoC$")                         'numero de documento

'registar opcoes
'res   = SqlOpcAct("SEL.Lot", psqLot$)              'registar lote
res   = SqlOpcAct("SEL.Lot", psqIUR$)              'registar lote
res   = SqlOpcAct("SEL.Tdo", psqTdo$)              'registar tipo de documento
res   = SqlOpcAct("SEL.Ndo", psqNdo$)              'registar numero de documento


'movimentos
idq$ = "CON"                                       'identificador do qwery
res   = SqlQryGer(idq$,"LotConDis")                'gerar lista de movimentos
while res = 1
movArt$  = SqlQryCmp$(idq$,"Art$")                 'artigo
movDtl   = SqlQryCmp(idq$,"Dtl")                   'data de movimento
movTdo$  = SqlQryCmp$(idq$,"Tdoc$")                'tipo de documento
movNdo$  = SqlQryCmp$(idq$,"Ndoc$")                'numero de documento
movCmv   = SqlQryCmp(idq$,"Cmv")                   'codigo de movimento
movCmvD$ = StcCmvDes$(movCmv)                      'descricao do movimento
movAze   = SqlQryCmp(idq$,"ArzEnt")                'armazem de entrada
movAzs   = SqlQryCmp(idq$,"ArzSai")                'armazem de saida
movCt$   = SqlQryCmp$(idq$,"Ct$")                  'conta
movQu    = SqlQryCmp(idq$,"Qu")                    'quantidade
movVt    = SqlQryCmp(idq$,"Vt")                    'valor total
movVu    = movVt / movQu                           'valor unitario              

res = CtaContaLer(movCt$)                          'ler conta

vMovCli$ = movCt$                                  'documento - cliente
vMovCln$ = CTA_MST_NOME$                           'documento - cliente/nome


movNdv$ = FrmNdo$("46", movTdo$, movNdo$)          'formatar numero de documento
movDoc$ = regTdo$ + " " + regNdv$                  'documento

call LotConLst_Lin                                 'linha de valores de consumo

res = SqlQryRgs(idq$)                              'registo seguinte
wend

call LotConXls_LinSep                              'linha de separacao
end sub


Sub LotConLst_Lin 'linha de valores de consumo
call LotXls_IncLin                                 'incrementar linha

'listar
xDocCli$ = vMovCli$ + " " + vMovCln$               'cliente

res = XlsLst(liUsa, coDocTdo, movTdo$)             'documento - tipo
res = XlsLst(liUsa, coDocNdo, movNdv$)             'documento - numero
res = XlsLst(liUsa, coDocFor, xDocCli$)            'documento - cliente

res = XlsLst(liUsa, coLotQua, movQu)               'quantidade
'res = XlsLst(liUsa, coLotVcu, movVu)              'valor unitario

'res = XlsLst(liUsa, coObsDiv, vObsDiv$)            'observacoes
end sub


'------------------------------------------------------------------------------
'- LotAnl - Lotes anulados ----------------------------------------------------
'------------------------------------------------------------------------------
Sub LotAnlXls_DocIni 'inicializar documento
xlsOpcNfi$ = "RND:EncLotAnl.xls"                   'nome do ficheiro a gerar
xlsOpcWks$ = ""                                    'nome da woorksheet

call LotXls_DocIni                                 'inicializar documento
end sub


Sub LotAnlXls_DocFim 'terminar documento
call LotXls_DocFim                                 'terminar documento
end sub


Sub LotAnlXls_LinTit1 'titulo 1
call LotXls_LinTit1                                'titulo 1
end sub


Sub LotAnlXls_Lin 'linha de valores
call LotXls_Lin                                    'linha de valores
end sub


Sub LotAnlXls_LinSbt1 'subtotal 1
call LotXls_LinSbt1                                'subtotal 1
end sub


Sub LotAnlXls_LinSep 'linha de separacao
call LotXls_IncLin                                 'incrementar linha
end sub


Sub LotAnlXls_Fim 'terminar
call LotXls_Fim                                    'terminar
end sub


'------------------------------------------------------------------------------
'- COM - Funcoes comuns -------------------------------------------------------
'------------------------------------------------------------------------------
Sub LotXls_DocIni 'inicializar documento
'msgbox "","DocIni"

call XlsComDoc_IniMat                              'inicializar documento por matriz

'preparacao especifica
res = XlsWks("Valores")                            'activar worksheet

'preparar cabecalho
empNum$ = Emp_Inf_Cod$                             'numero da empresa
empNom$ = Emp_Inf_Nome$                            'nome da empresa
lstTit$ = MemTxt$(1)                               'titulo da listagem
lstDt$  = FrmDt$("EXT", Sig_DtHoje)                'data para listagem

'msgbox "","Tit",lstTit$

'ide$    = Memtxt$(1)                               'identificacao
ide$    = VarCom$("IdeTit")                        'identificacao
tpe$    = VarCom$("IdeTpe")                        'tipo de entidade
ideCab$ = ide$ + " - " + tpe$                      'identificacao de cabecalho

res = XlsIdeLst("Emp_Num", empNum$)                'numero da empresa
res = XlsIdeLst("Emp_Nom", empNom$)                'nome da empresa
res = XlsIdeLst("Lst_Tit", lstTit$)                'titulo da listagem
res = XlsIdeLst("Lst_Data", lstDt$)                'data

call XlsComLin_Ini                                 'iniciar linhas

'definicao das colunas
coArtCod = 2                                       'artigo
coArtNom = 3                                       'nome
coDocTdo = 4                                       'documento - tipo
coDocNdo = 5                                       'documento - numero
coDocFor = 6                                       'fornecedor
coDocDtr = 7                                       'data de registo
coLotIde = 8                                       'lote
coLotDup = 9                                       'lote - duplicado
coLotDti = 10                                      'data de inicio
coLotDli = 11                                      'data limite
coLotQua = 12                                      'quantidade
coLotVcu = 13                                      'custo unitario
coConQua = 14                                      'consumo
coConDis = 15                                      'disponivel
coObsDiv = 16                                      'observacoes

'subtotalizadores
sbtLotQua = 0                                      'quantidade
sbtConQua = 0                                      'consumo
sbtDisQua = 0                                      'disponivel

'totalizadores
totLotQua = 0                                      'quantidade
totConQua = 0                                      'consumo
totDisQua = 0                                      'disponivel
end sub


Sub LotXls_DocFim 'terminar documento
'res = XlsWksAct("A", 1)                            'activar worksheet
call XlsComDoc_Fim                                 'terminar/mostrar documento
end sub


Sub LotXls_IncLin 'incrementar linha
call XlsComLin_IncRep                              'incrementar linha + repor formato normal

zon$ = XlsZon$(liUsa, coArtNom)                    'zona
res = XlsAli(zon$, "4")                            'alinhamento
end sub


Sub LotXls_LinTit1 'titulo 1
grp$    = SbtInf$("ACT",1)                         'grupo
ideGrp$ = "Artigo : " +grp$                        'identificacao do grupo

call LotXls_IncLin                                 'incrementar linha

res = XlsLst(liUsa, coArtNom, ideGrp$)             'identificacao de grupo
call XlsComLin_ActB                                'activar linha em BOLD
end sub


Sub LotXls_LinSbt1 'subtotal 1
call LotXls_LinSbt                                 'subtotal de grupo
x = TotLpz(1)                                      'limpar totais
end sub


Sub LotXls_Lin 'linha de valores
call LotXls_IncLin                                 'incrementar linha

call VarRegPrp                                     'preparar valores
call VarRegAcm                                     'acumular valores

'listar
xDocDtr$ = "'" + vDocDtr$                          'data do documento
xLotDti$ = "'" + vLotDti$                          'data de inicio
xLotDli$ = "'" + vLotDli$                          'data limite
xDocFor$ = vDocFor$ + " " + vDocFon$               'fornecedor

res = XlsLst(liUsa, coArtCod, vArtCod$)            'artigo
res = XlsLst(liUsa, coArtNom, vArtNom$)            'nome

res = XlsLst(liUsa, coDocTdo, vDocTdo$)            'documento - tipo
res = XlsLst(liUsa, coDocNdo, vDocNdo$)            'documento - numero
res = XlsLst(liUsa, coDocFor, xDocFor$)            'documento - fornecedor
res = XlsLst(liUsa, coDocDtr, xDocDtr$)            'documento - data

res = XlsLst(liUsa, coLotIde, vLotIde$)            'lote
res = XlsLst(liUsa, coLotDup, vLotDup)             'lote - duplicado
res = XlsLst(liUsa, coLotDti, xLotDti$)            'data de inicio
res = XlsLst(liUsa, coLotDli, xLotDli$)            'data limite
res = XlsLst(liUsa, coLotQua, vLotQua)             'quantidade
res = XlsLst(liUsa, coLotVcu, vLotVcu)             'custo unitario

res = XlsLst(liUsa, coConQua, vConQua)             'consumo
res = XlsLst(liUsa, coConDis, vConDis)             'disponivel

res = XlsLst(liUsa, coObsDiv, vObsDiv$)            'observacoes
end sub


Sub LotXls_LinSbt 'subtotal de grupo
call LotXls_IncLin                                 'incrementar linha

vIde$     = "Subtotal"                             'identificacao

'listar
sbtNrg    = TotCnt("vLotQua", 1)                   'numero de registos
sbtLotQua = Total("vLotQua", 1)                    'subtotal de quantidade
sbtConQua = Total("vConQua", 1)                    'subtotal de consumo
sbtConDis = Total("vConDis", 1)                    'subtotal de disponivel

res = XlsLst(liUsa, coArtNom, vIde$)               'identificacao
res = XlsLst(liUsa, coDocNdo, sbtNrg)              'numero de registos
res = XlsLst(liUsa, coLotQua, sbtLotQua)           'quantidade
res = XlsLst(liUsa, coConQua, sbtConQua)           'consumo
res = XlsLst(liUsa, coConDis, sbtConDis)           'disponivel

call XlsComLin_ActBI                               'activar linha em BOLD+ITALICO
zon$ = XlsZon$(liUsa, coArtNom)                    'zona
res = XlsAli(zon$, "5")                            'alinhamento

call LotXls_IncLin                                 'incrementar linha
x = TotLpz(1)                                      'limpar totais
end sub


Sub LotXls_LinSep 'linha de separacao
call LotXls_IncLin                                 'incrementar linha
end sub


'- Terminar/Totais ------------------------------------------------------------
Sub LotXls_Fim 'terminar
call XlsComLin_Fim                                 'fim de linhas

ltoUsa = LinFim                                    'linha para totais
liUsa  = ltoUsa                                    'linha a usar

totNrg    = TotCnt("vLotQua", 0)                   'numero de registos
totLotQua = Total("vLotQua", 0)                    'total de quantidade
totConQua = Total("vConQua", 0)                    'total de consumo
totConDis = Total("vConDis", 0)                    'total de disponivel

res = XlsLst(liUsa, coDocNdo, totNrg)              'numero de registos
res = XlsLst(liUsa, coLotQua, totLotQua)           'quantidade
res = XlsLst(liUsa, coConQua, totConQua)           'consumo
res = XlsLst(liUsa, coConDis, totConDis)           'disponivel
end sub

##


'==============================================================================
#INC - Funcoes comuns
'==============================================================================
Funcoes comuns                    =[SIG_Dir.Div],LsComPgm.std
Funcoes comuns XLS                =[SIG_LST_DIR.XLS],XlsCom_Pgm.inc
##


